<!--##
<NAME>Products - Section Template</NAME>
<DESC>Products</DESC>
<SECTION>Platform||Products</SECTION>
##-->
<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_include template="platform/elements/title_bar.elm"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/categories.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/credit_cards.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/pick_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm"/>
		</div>
		<!--## IF IN-COMMERCE HOME PAGE ##-->
		<inp2:m_if check="p_IsModuleHome">
			<div class="movable-element">
				<inp2:m_include template="in-commerce/elements/content_boxes/featured_products.elm"/>
			</div>
			<div class="movable-element">
				<inp2:m_include template="in-commerce/elements/content_boxes/new_products.elm"/>
			</div>
			<div class="movable-element">
				<inp2:m_include template="in-commerce/elements/content_boxes/pick_products.elm"/>
			</div>
		<inp2:m_else/>
		<!--## /IF IN-COMMERCE HOME PAGE ##-->

			<div class="movable-element">
				<inp2:m_include template="platform/elements/content_boxes/sub_categories.elm"/>
			</div>

			<div class="movable-element">
				<!-- Category Products List -->
				<inp2:m_RenderElement design="content_box" block_no_data="no_products">
					<inp2:p_InitList list_name="products_in_category" />

					<inp2:m_Capture to_var="header">
						<inp2:m_phrase name="lu_title_Products"/> (<inp2:p_TotalRecords list_name="products_in_category"/>)
					</inp2:m_Capture>

					<inp2:m_include template="in-commerce/elements/sorting.elm" list_name="products_in_category"/>

					<inp2:m_include template="in-commerce/elements/products.elm"/>

					<table class="fullwidth table-border">
						<inp2:p_ListProducts list_name="products_in_category" render_as="product_element"/>
					</table>

					<inp2:m_include template="platform/elements/pagination.elm" prefix="p" list_name="products_in_category"/>
				</inp2:m_RenderElement>
				<!-- // Category Products List -->
			</div>

			<!--## RELATED CATEGORIES ##-->
			<!--##
			<div class="movable-element">
				<inp2:m_RenderElement design="content_box" related_to="Category" data_exists="1">
					<inp2:m_Capture to_var="header">
						<inp2:m_Phrase label="lu_title_RelatedCategories"/>
					</inp2:m_Capture>

					<inp2:m_include template="platform/elements/content_boxes/related_items.elm" related_to="$related_to" />
				</inp2:m_RenderElement>
			</div>
			##-->
			<!--## // RELATED CATEGORIES ##-->

		</inp2:m_if>
	</div>
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->