<!--##
<NAME>Affiliate - Materials</NAME>
<DESC>Affiliate Materials page</DESC>
<SECTION>My Account||Store||Affiliates</SECTION>
##-->

<inp2:m_RequireLogin login_template="platform/login/register"/> <!--## LOGIN REQUIRED ##-->
<inp2:m_CheckSSL mode="required" condition="Require_SSL" /> <!--## CHECK IF SSL REQUIRED ##-->
<inp2:m_RequireAffiliate registration_template="in-commerce/my_account/affiliate/affiliate" /> <!--## MUST BE AN AFFILIATE ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_Phrase label="lu_AffiliateMaterials"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_if check="u_IsAffiliate">
				<inp2:m_RenderElement name="in-commerce/elements/side_boxes/affiliate_navigation.elm" design="blue_box"/>
			</inp2:m_if>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/top_seller_products.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/recent_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>

<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_MyAccount,lu_title_Affiliate,lu_title_AffiliateStatistics,lu_AffiliateMaterials" templates="platform/my_account/my_account,in-commerce/my_account/affiliate/affiliate,in-commerce/my_account/affiliate/affiliate_statistics,in-commerce/my_account/affiliate/affiliate_materials"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement design="content_box">

				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_AffiliateMaterials"/>
				</inp2:m_Capture>

				<inp2:m_if check="u_IsAffiliate">
					<table>
						<tr>
							<td colspan="2"><inp2:m_Phrase label="lu_AffiliateMaterials"/></td>
						</tr>
						<tr>
							<td>
								<inp2:m_Phrase label="lu_comm_AffilliateMaterialsToRefer"/>:
								<br /><br />
								 <a href="<inp2:affil_GetUserAffiliateLink template="index"/>"><inp2:affil_GetUserAffiliateLink template="index"/></a>
							</td>
						</tr>
						<tr>
							<td>
								<inp2:m_Phrase label="lu_comm_AffilliateMaterialsCode"/>:
								<blockquote style="border: 1px dashed #cccccc; background-color: #f3f3f3; padding: 8px">
								<small>
								&lt;a href="<inp2:affil_GetUserAffiliateLink template="index"/>"&gt;
									<inp2:conf_ConfigValue name="Site_Name"/>
								&lt;/a&gt;
								</small>
								</blockquote>
								<inp2:m_Phrase label="lu_comm_AffilliateMaterialsCopy"/>
							</td>
						</tr>
					</table>
				</inp2:m_if>
			</inp2:m_RenderElement>
		</div>
	</div>
</inp2:m_DefineElement>

<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>