<!--##
<NAME>Affiliate - Payments</NAME>
<DESC>Affiliate Payments List page</DESC>
<SECTION>My Account||Store||Affiliates</SECTION>
##-->

<inp2:m_RequireLogin login_template="platform/login/register"/> <!--## LOGIN REQUIRED ##-->
<inp2:m_CheckSSL mode="required" condition="Require_SSL" /> <!--## CHECK IF SSL REQUIRED ##-->
<inp2:m_RequireAffiliate registration_template="in-commerce/my_account/affiliate/affiliate" /> <!--## MUST BE AN AFFILIATE ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:m_Phrase label="lu_title_ComissionPayments"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_if check="u_IsAffiliate">
				<inp2:m_RenderElement name="in-commerce/elements/side_boxes/affiliate_navigation.elm" design="blue_box"/>
			</inp2:m_if>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/top_seller_products.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/recent_products.elm" design="blue_box" data_exists="1"/>
		</div>
	</div>
</inp2:m_DefineElement>

<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="lu_title_MyAccount,lu_title_Affiliate,lu_title_AffiliateStatistics,lu_title_ComissionPayments" templates="platform/my_account/my_account,in-commerce/my_account/affiliate/affiliate,in-commerce/my_account/affiliate/affiliate_statistics,in-commerce/my_account/affiliate/affiliate_payments"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement design="content_box" block_no_data="no_payments">

				<inp2:apayments_InitList list_name="my_payments_list" types="my_payments"/>

				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_title_ComissionPayments"/> (<inp2:apayments_TotalRecords list_name="my_payments_list" />)
				</inp2:m_Capture>

				<inp2:m_include template="in-commerce/elements/affiliates.elm"/>

				<table class="fullwidth">
					<inp2:m_RenderElement name="separator" colspan="4"/>
					<tr class="sub-section-header">
						<td><inp2:m_Phrase label="lu_Date"/></td>
						<td><inp2:m_Phrase label="lu_PaymentReference"/></td>
						<td><inp2:m_Phrase label="lu_PaymentAmount"/></td>
					</tr>
					<inp2:m_RenderElement name="separator" colspan="4"/>
					<inp2:m_include template="in-commerce/elements/affiliates.elm"/>
					<inp2:apayments_PrintList list_name="my_payments_list" render_as="payment_element"/>
				</table>

				<inp2:m_include template="platform/elements/pagination.elm" prefix="apayments" list_name="my_payments_list"/>

			</inp2:m_RenderElement>
		</div>
	</div>
</inp2:m_DefineElement>

<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>







