<!--##
<NAME>Products - Details Design</NAME>
<DESC>General design template for Product Details section</DESC>
<SECTION>Platform||Products</SECTION>
##-->
<inp2:p_AddToRecent /> <!--## ADD CURRENT PRODUCT TO RECENTLY VIEWED PRODUCTS ##-->

<!--## PAGE TITLE ELEMENT ##-->
<inp2:m_DefineElement name="page_title">
	<inp2:p_Field name="Name"/>
</inp2:m_DefineElement>
<!--## //PAGE TITLE ELEMENT ##-->

<!--## SIDE-BAR ELEMENT ##-->
<inp2:m_DefineElement name="sidebar">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/cart_indicator.elm" design="blue_box" data_exists="1"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/categories.elm" data_exists="1" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/login.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="platform/elements/side_boxes/search.elm" design="blue_box"/>
		</div>
		<div class="movable-element">
			<inp2:m_RenderElement name="in-commerce/elements/side_boxes/action_box.elm" item_actions="1" design="blue_box"/>
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /SIDE-BAR ELEMENT ##-->

<!--## MAIN CONTENT ##-->
<inp2:m_DefineElement name="content">
	<div class="movable-area">
		<div class="movable-element">
			<inp2:m_include template="platform/elements/navigation_bar.elm" titles="__item__" templates="__default__" show_category="1"/>
		</div>
		<div class="movable-element">
			<!-- Product Details -->
			<inp2:m_RenderElement design="content_box">
				<inp2:m_Capture to_var="header">
					<inp2:m_phrase name="lu_title_ProductDetails"/>
				</inp2:m_Capture>

				<table class="fullwidth table-border">
					<tr>
						<td class="item-padding">
							<img src="<inp2:m_TemplatesBase module="In-Commerce"/>img/shopping_cart_item.gif" alt=""/> <span class="text-title"><inp2:p_Field name="Name"/></span>

							<inp2:m_if check="p_Field" name="IsHot"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/icon_hot.gif" alt="<inp2:m_Phrase name="lu_Hot" no_editing="1"/>"/></inp2:m_if>
							<inp2:m_if check="p_Field" name="IsNew"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/icon_new.gif" alt="<inp2:m_Phrase name="lu_New" no_editing="1"/>"/></inp2:m_if>
							<inp2:m_if check="p_Field" name="IsPop"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/icon_popular.gif" alt="<inp2:m_Phrase name="lu_Pop" no_editing="1"/>"/></inp2:m_if>
							<inp2:m_if check="p_IsEditorsPick"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/icon_pick.gif" alt="<inp2:m_Phrase name="lu_Pick" no_editing="1"/>"/></inp2:m_if>
							<inp2:m_if check="p_IsFavorite"><img src="<inp2:m_TemplatesBase module="In-Portal"/>img/icon_favorite.gif" alt="<inp2:m_Phrase name="lu_Favorite" no_editing="1"/>"/></inp2:m_if>

							<inp2:p_VotesIndicator render_as="rating_element"/>

							<br />
							<br />

							<table>
								<tr>
									<td style="text-align: center; padding-right: 10px;" valign="top">
										<!--## Check if image exists ##-->
										<inp2:m_if check="p_ImageSrc" MaxWidth="fullsize">
											<a href="<inp2:p_ImageSrc DefaultImage="platform/img/no_picture.gif" format="resize:450x450;wm:platform/img/logo_watermark.png|-1|-1"/>" class="thickbox" rel="product-images" title="<inp2:p_Field name='Name' html_escape='1'/>">
												<inp2:p_Image render_as="image_element" Primary="1" MaxWidth="thumbnail" DefaultWidth="150" DefaultImage="platform/img/no_picture.gif" align="center"/><br />
											</a>
										<!--## Check if image exists ##-->
										<inp2:m_else/>
											<inp2:p_Image render_as="image_element" Primary="1" MaxWidth="thumbnail" DefaultWidth="150" DefaultImage="platform/img/no_picture.gif" align="center"/><br />
										</inp2:m_if>
										<br />

										<inp2:m_if check="p_HasAdditionalImages">
											<a href="<inp2:p_ProductLink template="__default__" />#images"><inp2:m_Phrase label="lu_btn_MoreImages"/></a>
											<br /><br />
										</inp2:m_if>

										<span class="product-price-large"><inp2:p_Field name="Price" currency="selected"/></span><br /><br />

										<inp2:m_if check="p_Available">
											<inp2:m_if check="p_ShouldListOptions" required_only="1"><inp2:m_else/>
												<input class="button" onclick=" window.location.href='<inp2:p_AddToCartLink template="in-commerce/checkout/shop_cart" product_template="__default__"/>' " type="button" value="<inp2:m_Phrase label="lu_comm_BuyNow" no_editing="1"/>" />
											</inp2:m_if>
										<inp2:m_else />
											<strong><inp2:m_phrase label="lu_comm_outofstock"/></strong>
										</inp2:m_if>
									</td>
									<td valign="top">
										<strong><inp2:m_phrase label="lu_Added"/>:</strong> <inp2:p_field field="CreatedOn_date" format="_regional_DateFormat"/><br />
										<strong><inp2:m_phrase label="lu_Hits"/>:</strong> <inp2:p_field field="Hits"/><br />
										<strong><inp2:m_phrase label="lu_Reviews"/>:</strong> <inp2:p_field field="CachedReviewsQty"/>

										<a href="<inp2:p_ProductLink template="in-commerce/products/add_review"/>"><inp2:m_phrase name="lu_btn_AddReview"/></a><br />
										<strong><inp2:m_phrase label="lu_Rating"/>:</strong> <inp2:p_field field="CachedRating"/> (<inp2:m_phrase label="lu_Votes"/>: <inp2:p_field field="CachedVotesQty"/>)

										<a href="<inp2:p_ProductLink template="in-commerce/products/add_review"/>"><inp2:m_phrase name="lu_btn_RateThisProduct"/></a><br />

										<br />

										<inp2:m_if check="p_Field" name="SKU">
											<strong><inp2:m_Phrase label="lu_fld_SKU"/>:</strong> <inp2:p_field name="SKU"/><br />
										</inp2:m_if>

										<inp2:m_if check="p_Field" name="ManufacturerId">
											<strong><inp2:m_Phrase label="lu_fld_Manufacturer"/>:</strong> <inp2:p_field name="ManufacturerId"/> (<inp2:m_Phrase label="lu_comm_OtherProductsBy"/> <a href="<inp2:p_ManufacturerLink template="in-commerce/products/manufacturer_products" />"><inp2:p_Field name="ManufacturerId"/></a> <inp2:m_Phrase label="lu_comm_OtherProducts"/>) <br />
										</inp2:m_if>

										<inp2:m_if check="p_Field" name="MSRP">
											<strong><inp2:m_Phrase label="lu_fld_MSRP"/>:</strong> <span class="product-price-msrp"><inp2:p_Field name="MSRP" currency="selected"/></span> <br />
										</inp2:m_if>

										<strong><inp2:m_Phrase label="lu_fld_OurPrice"/>: <span class="product-price"><inp2:p_Field name="Price" currency="selected"/></span></strong> <br />

										<inp2:m_if check="p_Savings">
											<strong><inp2:m_Phrase label="lu_fld_YouSave"/>: <span class="product-price"><inp2:p_Savings currency="selected" /> (<inp2:p_Savings type="percent"/>%)</span></strong><br/>
										</inp2:m_if>
										<br />

										<inp2:m_if check="p_CustomField" name="Availability">
											<strong><inp2:p_CustomFieldLabel field="Availability"/>:</strong>
											<inp2:p_CustomField name="Availability"/>
											<br />
											<br />
										</inp2:m_if>

										<inp2:m_if check="p_HasQuantityPricing">
											<inp2:m_if check="p_IsTangible">
												<table>
													<tr>
														<td colspan="2" class="block-header">
															<inp2:m_Phrase label="lu_comm_QuantityPricing"/>
														</td>
													</tr>
													<tr class="cart-header">
														<td>
															<inp2:m_Phrase label="lu_comm_Quantity"/>
														</td>
														<td>
															<inp2:m_Phrase label="lu_comm_Price"/>
														</td>
													</tr>
													<inp2:m_DefineElement name="price_bracket">
														<tr class="cart-item-small">
															<td>
																<inp2:Field name="MinQty"/> - <inp2:Field name="MaxQty"/>
															</td>
															<td>
																<inp2:m_if check="Field" name="Negotiated">
																	<a href="mailto:<inp2:conf_ConfigValue name="Comm_Contacts_Email"/>"><inp2:conf_ConfigValue name="Comm_Contacts_Email"/></a>
																<inp2:m_else/>
																	<inp2:Field name="Price" currency="selected"/>
																</inp2:m_if>
															</td>
														</tr>
													</inp2:m_DefineElement>
													<inp2:p_ListPriceBrackets render_as="price_bracket"/>
												</table>
												<br />
											</inp2:m_if>

											<inp2:m_if check="p_IsSubscription">
												<table>
													<tr>
														<td colspan="3" class="block-header">
															<inp2:m_Phrase label="lu_comm_Pricing"/>
														</td>
													</tr>
													<tr class="cart-header">
														<td>
															<inp2:m_Phrase label="lu_comm_AccessDuration"/>
														</td>
														<td>
															<inp2:m_Phrase label="lu_comm_Price"/>
														</td>
														<td>&nbsp;

														</td>
													</tr>
													<inp2:m_DefineElement name="access_price_bracket">
														<tr class="cart-item-small">
															<td>
																<inp2:Field name="AccessDuration"/> <inp2:Field name="AccessUnit"/>
																<br />
																<small><inp2:Field name="Description"/></small>
															</td>
															<td>
																<inp2:Field name="Price" currency="selected"/>
															</td>
															<td>
																<a href="<inp2:AddToCartLink template="in-commerce/checkout/shop_cart" product_template="__default__"/>"><img src="<inp2:m_TemplatesBase module="In-Commerce"/>img/buy2.gif" alt="<inp2:m_Phrase label="lu_comm_BuyNow" no_editing="1"/>" width="15" height="17" border="0" /></a>
															</td>
														</tr>
													</inp2:m_DefineElement>
													<inp2:p_ListPriceBrackets render_as="access_price_bracket"/>
												</table>
												<br />
											</inp2:m_if>
										</inp2:m_if>

										<inp2:m_include template="in-commerce/elements/form_options.elm"/>

										<inp2:m_if check="p_Field" name="Description">
											<strong><inp2:m_Phrase label="lu_fld_Description"/>:</strong> <inp2:p_Field name="Description"/> <br />
										</inp2:m_if>

										<br />
										<inp2:m_if check="p_CustomField" name="Features">
											<strong><inp2:p_CustomFieldLabel field="Features"/>:</strong>
											<inp2:p_CustomField name="Features"/>
											<br />
											<br />
										</inp2:m_if>

										<inp2:m_if check="p_IsFavorite">
											<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/ic_removefromfav.gif" width="11" height="10" alt="" /> <a class="item-action" href="<inp2:p_FavoriteToggleLink/>"><inp2:m_phrase name="lu_btn_RemoveFromWishList"/></a>
										<inp2:m_else/>
											<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/ic_addtofav.gif" width="11" height="10" alt="" /> <a class="item-action" href="<inp2:p_FavoriteToggleLink template="platform/my_account/my_favorites"/>"><inp2:m_phrase name="lu_btn_AddToWishList"/></a>
										</inp2:m_if>
									</td>
								</tr>
							</table>

					        <br />
							<inp2:m_if check="p_HasAdditionalImages">
								<!--## ADDITIONAL IMAGE ELEMENT ##-->
								<inp2:m_DefineElement name="additional_image_element">
									<td>
										<a href="<inp2:ImageSrc format="resize:450x450;wm:platform/img/logo_watermark.png|-1|-1"/>" class="thickbox" rel="product-images" title="<inp2:m_param name="alt"/>">
											<img src="<inp2:m_param name="img_path"/>" title="<inp2:m_param name="alt"/>" alt="<inp2:m_param name="alt"/>" <inp2:m_param name="img_size"/> border="0" /><br />
										</a>
									</td>
									<inp2:m_if check="m_Param" name="not_last">
										<td>
											<img src="<inp2:m_TemplatesBase module="In-Portal"/>img/s.gif" width="8" height="1" alt="" />
										</td>
									</inp2:m_if>
								</inp2:m_DefineElement>
								<!--## /ADDITIONAL IMAGE ELEMENT ##-->

								<a name="images"></a>

								<inp2:m_RenderElement name="subsection" title="lu_section_AdditionalImages"/>
								<table>
									<tr>
										<inp2:p_ListImages render_as="additional_image_element" types="additional" per_page="-1" no_table="1" MaxWidth="thumbnail" DefaultWidth="150" DefaultImage="platform/img/no_picture.gif"/>
									</tr>
								</table>
							</inp2:m_if>
						</td>
					</tr>
				</table>
			</inp2:m_RenderElement>
			<!-- // Product Details -->
		</div>

		<div class="movable-element">
			<!-- Product Reviews -->
			<inp2:m_DefineElement name="no_reviews">
				<inp2:m_phrase name="lu_NoReviews"/>
			</inp2:m_DefineElement>

			<inp2:m_RenderElement design="content_box" data_exists="1" block_no_data="no_reviews">
				<inp2:m_Capture to_var="header">
					<inp2:m_phrase name="lu_section_Reviews"/> (<inp2:p-rev_TotalRecords/>)
				</inp2:m_Capture>

				<table>
					<inp2:p-rev_PrintList render_as="review_element"/>
				</table>
				<inp2:m_include template="platform/elements/pagination.elm" prefix="p-rev"/>
			</inp2:m_RenderElement>
			<!-- // Product Reviews -->
		</div>

		<div class="movable-element">
			<a name="related"></a>
			<inp2:m_include template="in-commerce/elements/content_boxes/related_products.elm"/>


			<!--## RELATED TO PRODUCT ITEMS ##-->
			<inp2:m_RenderElement design="content_box" related_to="Product" data_exists="1">
				<inp2:m_Capture to_var="header">
					<inp2:m_Phrase label="lu_title_RelatedItems"/>
				</inp2:m_Capture>

				<inp2:m_ModuleInclude template="elements/content_boxes/related_items.elm" related_to="$related_to" skip_prefixes="p" />
			</inp2:m_RenderElement>
			<!--## // RELATED TO PRODUCT ITEMS ##-->
		</div>
	</div>
</inp2:m_DefineElement>
<!--## /MAIN CONTENT ##-->

<!--## DESIGN TEMPLATE ##-->
<inp2:m_include template="platform/designs/default_design.des" pass_params="1"/>
<!--## /DESIGN TEMPLATE ##-->